### Method

# Ide Config get_internal_object

#### Declaration

    GObject*
    ide_config_get_internal_object (
      IdeConfig* self,
      const gchar* key
    )

#### Description

Gets the value associated with `key` if it is a `GObject`.

Available since: | 3.32

#### Parameters

`key` | `const gchar*`
| The key to get.
| The data is owned by the caller of the function.
| The value is a NUL terminated UTF-8 string.

#### Return value

Returns: | `GObject`
| A `GObject` or `NULL`.
| The data is owned by the instance.
| The return value can be `NULL`.